<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbServiceSslTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_service__ssl', function(Blueprint $table)
		{
			$table->foreign('ssl_ca_id', 'fk_ss_sca')->references('id')->on('ab_ssl_ca')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('service_id', 'fk_ss_svc')->references('id')->on('ab_service')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_service__ssl', function(Blueprint $table)
		{
			$table->dropForeign('fk_ss_sca');
			$table->dropForeign('fk_ss_svc');
		});
	}

}
